[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ValSInt

Val-Signed integer.

## Declaration

Source position: systemh.inc line 345

`type ValSInt = LongInt;`

## Description

Integer with the same size as the return code of the Val function.

## See also

Val |  | Calculate numerical/enumerated value of a string.
ValUInt |  | Val-unsigned integer